package com.fjhx.xmhjc.mapper.about;

import com.fjhx.xmhjc.entity.about.po.AboutUsCulture;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 关于我们-企业文化 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
public interface AboutUsCultureMapper extends BaseMapper<AboutUsCulture> {

    /**
     * 关于我们-企业文化列表
     */
    List<AboutUsCultureVo> getList(@Param("ew") IWrapper<AboutUsCulture> wrapper);

    /**
     * 关于我们-企业文化分页
     */
    Page<AboutUsCultureVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AboutUsCulture> wrapper);

}
