package com.fjhx.xmhjc.mapper.carousel;

import com.fjhx.xmhjc.entity.carousel.po.CarouselManager;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.carousel.vo.CarouselManagerVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 轮播图管理 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-19
 */
public interface CarouselManagerMapper extends BaseMapper<CarouselManager> {

    /**
     * 轮播图管理列表
     */
    List<CarouselManagerVo> getList(@Param("ew") IWrapper<CarouselManager> wrapper);

    /**
     * 轮播图管理分页
     */
    Page<CarouselManagerVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CarouselManager> wrapper);

}
