package com.fjhx.xmhjc.service.about;

import com.fjhx.xmhjc.entity.about.po.AboutUsCulture;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureDto;

import java.util.List;

/**
 * <p>
 * 关于我们-企业文化 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
public interface AboutUsCultureService extends BaseService<AboutUsCulture> {

    /**
     * 关于我们-企业文化列表
     */
    List<AboutUsCultureVo> getList(AboutUsCultureSelectDto dto);

    /**
     * 关于我们-企业文化分页
     */
    Page<AboutUsCultureVo> getPage(AboutUsCultureSelectDto dto);

    /**
     * 关于我们-企业文化明细
     */
    AboutUsCultureVo detail(Long id);

    /**
     * 关于我们-企业文化新增
     */
    void add(AboutUsCultureDto aboutUsCultureDto);

    /**
     * 关于我们-企业文化编辑
     */
    void edit(AboutUsCultureDto aboutUsCultureDto);

    /**
     * 关于我们-企业文化删除
     */
    void delete(Long id);

    List<AboutUsCultureVo> getListByOpen();
}
