package com.fjhx.xmhjc.entity.column.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.xmhjc.entity.column.po.ColumnArticle;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 栏目文章表新增编辑入参实体
 *
 * @author lqh
 * @since 2023-11-16
 */
@Getter
@Setter
public class ColumnArticleDto extends ColumnArticle {

    /**
     * 封面
     */
    List<ObsFile> coverList;
    /**
     * 视频
     */
    List<ObsFile> videoList;

}
