package com.fjhx.xmhjc.service.about;

import com.fjhx.xmhjc.entity.about.po.AboutUsHonor;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorDto;

import java.util.List;

/**
 * <p>
 * 关于我们-荣誉资质 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-13
 */
public interface AboutUsHonorService extends BaseService<AboutUsHonor> {

    /**
     * 关于我们-荣誉资质列表
     */
    List<AboutUsHonorVo> getList(AboutUsHonorSelectDto dto);

    /**
     * 关于我们-荣誉资质分页
     */
    Page<AboutUsHonorVo> getPage(AboutUsHonorSelectDto dto);

    /**
     * 关于我们-荣誉资质明细
     */
    AboutUsHonorVo detail(Long id);

    /**
     * 关于我们-荣誉资质新增
     */
    void add(AboutUsHonorDto aboutUsHonorDto);

    /**
     * 关于我们-荣誉资质编辑
     */
    void edit(AboutUsHonorDto aboutUsHonorDto);

    /**
     * 关于我们-荣誉资质删除
     */
    void delete(Long id);

    List<AboutUsHonorVo> getListByOpen();
}
