package com.fjhx.xmhjc.service.column;

import com.fjhx.xmhjc.entity.column.po.ColumnArticle;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnArticleVo;
import com.fjhx.xmhjc.entity.column.dto.ColumnArticleSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnArticleDto;

import java.util.List;

/**
 * <p>
 * 栏目文章表 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-16
 */
public interface ColumnArticleService extends BaseService<ColumnArticle> {

    /**
     * 栏目文章表列表
     */
    List<ColumnArticleVo> getList(ColumnArticleSelectDto dto);

    /**
     * 栏目文章表分页
     */
    Page<ColumnArticleVo> getPage(ColumnArticleSelectDto dto);

    /**
     * 栏目文章表明细
     */
    ColumnArticleVo detail(Long id);

    /**
     * 栏目文章表新增
     */
    void add(ColumnArticleDto columnArticleDto);

    /**
     * 栏目文章表编辑
     */
    void edit(ColumnArticleDto columnArticleDto);

    /**
     * 栏目文章表删除
     */
    void delete(Long id);

}
